Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wowza.wms.plugin.integration.liverecord
Class LiveStreamRecorder

    Object
      com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorderBase
          com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorderFLV
              com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorder

All Implemented Interfaces:
  ILiveStreamRecord

    public class LiveStreamRecorder

extends LiveStreamRecorderFLV

Field Summary

Fields inherited from class com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorderBase
`filePath, moveFirstVideoFrameToZero, recordData, startOnKeyFrame, stream, streamNotifier, versionFile, worker, writeLock`

Constructor Summary
`LiveStreamRecorder()`

Method Summary

Methods inherited from class com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorderFLV
`getPlayPackets, onPublish, onUnPublish, startRecording, startRecording, startRecording, stopRecording, work, workStop`

Methods inherited from class com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorderBase
`getFilePath, getWriteLock, isMoveFirstVideoFrameToZero, isRecordData, isStartOnKeyFrame, isVersionFile, setMoveFirstVideoFrameToZero, setRecordData, setStartOnKeyFrame, setVersionFile`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.wowza.wms.plugin.integration.liverecord.ILiveStreamRecord
`getFilePath, getWriteLock, isMoveFirstVideoFrameToZero, isRecordData, isStartOnKeyFrame, isVersionFile, setMoveFirstVideoFrameToZero, setRecordData, setStartOnKeyFrame, setVersionFile`

Constructor Detail

### LiveStreamRecorder

    public LiveStreamRecorder()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD